Tíquete #31641

/var/lock/subsys が存在しない場合にエラーになる

: 2013-07-02 16:16 Última Atualização: 2015-10-17 09:37

Relator:
Dono:
Estado:
Fechado
Componente:
(Nenhum)
Marcos:
(Nenhum)
Prioridade:
3
Gravidade:
5 - Medium
Resolução:
Fixed
Arquivo:
1

Details

事象

【RedHat クローン以外での環境での問題】
/etc/init.d/l7vsd start 並びに /etc/init.d/l7directord start が失敗する.

原因

/var/lock/subsys ディレクトリが存在しないため,ロックファイルが作成できずにスクリプトがアボートする. /etc/init.d/l7vsd および /etc/init.d/l7directord は,/var/lock/subsys 配下にロックファイルを作成するが,
他のディストリビューションにおいて /var/lock/subsys は必ずしも存在しない.(Debian には無い)

対処

/etc/init.d/l7vsd ならびに /etc/init.d/l7directord にて,/var/lock/subsys を作成するように,下記を挿入.
  1. mkdir -p `dirname $LOCKFILE`
  2. # $LOCKFILE は,/var/lock/subsys/l7vsd や /var/lock/subsys/l7directord が格納されているため,
  3. # 上記コマンドの結果は「mkdir -p /var/lock/subsys」となる


Ticket History (3/5 Histories)

2013-07-02 16:16 Updated by: suigintoh
  • New Ticket "/var/lock/subsys が存在しない場合にエラーになる" created
2013-07-02 16:21 Updated by: suigintoh
  • Resolução Update from Nenhum to Accepted
Comentário

修正用パッチ作成.

2013-07-03 15:55 Updated by: hiroakinakano
Comentário

suigintoh への返信

修正用パッチ作成.

RHEL6でも動作に問題ないことを確認しました。 v3.1.0-develに直接コミットしておきます。

by hiroakinakano

2015-10-17 09:37 Updated by: suigintoh
  • Resolução Update from Accepted to Fixed
  • Estado Update from Aberto to Fechado
  • Ticket Close date is changed to 2015-10-17 09:37

Attachment File List

Editar

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login